- Qt 6.8
- Qt GUI
- C++ Classes
- QtGuiPrivate
- StencilOpState
- Qt 6.8.2 Reference Documentation

# StencilOpState Struct

struct QRhiGraphicsPipeline::StencilOpState

Describes the stencil operation state. More...

This struct was introduced in Qt 6.6.

- List of all members, including inherited members

## Public Variables

QRhiGraphicsPipeline::CompareOp | compareOp
QRhiGraphicsPipeline::StencilOp | depthFailOp
QRhiGraphicsPipeline::StencilOp | failOp
QRhiGraphicsPipeline::StencilOp | passOp

## Detailed Description

The default-constructed StencilOpState has the following set:

- failOp - Keep
- depthFailOp - Keep
- passOp - Keep
- compareOp Always

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

## Member Variable Documentation

### QRhiGraphicsPipeline::CompareOp StencilOpState::compareOp

### QRhiGraphicsPipeline::StencilOp StencilOpState::depthFailOp

### QRhiGraphicsPipeline::StencilOp StencilOpState::failOp

### QRhiGraphicsPipeline::StencilOp StencilOpState::passOp